Group: Development/Perl
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(AutoLoader.pm) perl(IO/Handle.pm) perl(Net/SSLeay/Handle.pm) perl(Socket.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Net-Lite-FTP
Version:        0.61
Release:        alt1_7
Summary:        Perl FTP client with support for TLS
BuildArch:      noarch

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Net-Lite-FTP/
Source0:        http://search.cpan.org/CPAN/authors/id/E/EY/EYCK/Net-Lite-FTP-%{version}.tar.gz

BuildRequires:  perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Net/SSLeay.pm)


Source44: import.info

%description
Very simple FTP client with support for TLS


%prep
%setup -q -n Net-Lite-FTP-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
# For noarch packages: vendorlib
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1_6
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1_4
- fc import

